;;; bandali-ebdb.el --- bandali's EBDB configuration  -*- lexical-binding: t; -*-

;; Copyright (C) 2018-2021  Amin Bandali

;; Author: Amin Bandali <bandali@gnu.org>
;; Keywords: tools

;; This program is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation, either version 3 of the License, or
;; (at your option) any later version.

;; This program is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.

;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <https://www.gnu.org/licenses/>.

;;; Commentary:

;; My EBDB setup.

;;; Code:

(with-eval-after-load 'gnus
  (require 'ebdb)
  (csetq ebdb-sources (b/var "ebdb"))
  (with-eval-after-load 'swiper
    (add-to-list 'swiper-font-lock-exclude #'ebdb-mode t))
  ;; local key bindings
  (define-key gnus-group-mode-map (kbd "e") #'ebdb))

(with-eval-after-load 'ebdb
  (with-eval-after-load 'ebdb-complete
    ;; (csetq ebdb-complete-mail 'capf)
    (csetq ebdb-completion-display-record nil) ; <87pn2kk2ig.fsf@ericabrahamsen.net>
    (ebdb-complete-enable))

  (require 'ebdb-message)
  
  (require 'ebdb-gnus)
  (csetq ebdb-gnus-window-size 0.3)

  (require 'ebdb-mua)
  (csetq ebdb-mua-pop-up nil))

;; (with-eval-after-load 'company-ebdb
;;   (defun company-ebdb--post-complete (_) nil))

(provide 'bandali-ebdb)
;;; bandali-ebdb.el ends here
